"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenNodes = void 0;
const flattenNodes = (nodeIndex, treeNodes) => {
    if (nodeIndex === 0)
        return [];
    const treeNode = treeNodes[nodeIndex - 1];
    return [
        ...(0, exports.flattenNodes)(treeNode.left, treeNodes),
        {
            value: Number(treeNode.key.value),
            sequence: Number(treeNode.key.sequence),
            settled: Number(treeNode.value.settled),
        },
        ...(0, exports.flattenNodes)(treeNode.right, treeNodes),
    ];
};
exports.flattenNodes = flattenNodes;
//# sourceMappingURL=flattenNodes.js.map