import { Context, DateTime } from '@metaplex-foundation/umi';
import { Auction } from './generated';
export * from './generated';
export * from './hooked';
export * from './constants';
export * from './create';
export * from './flattenNodes';
export * from './plugin';
export declare const seconds: (x: number | bigint) => bigint;
export declare const minutes: (x: number | bigint) => bigint;
export declare const percentage: (x: number) => number;
export declare function computeValueForBid(context: Pick<Context, 'rpc'>, auction: Auction, currentTime: DateTime): bigint;
export declare function computeValueForBidUsingLatestBlockTime(context: Pick<Context, 'rpc'>, auction: Auction): Promise<bigint>;
